import { AccessWaysStrings } from '../enums/access-ways';


export type AccessWays = {
  aft_mooring_deck?:
    | AccessWaysStrings.aftPortsideStair
    | AccessWaysStrings.aftStarboardStair
    | AccessWaysStrings.quaysideCrane;
  fwd_mooring_deck?:
    | AccessWaysStrings.fwdPortsideStair
    | AccessWaysStrings.fwdStarboardStair
    | AccessWaysStrings.quaysideCrane;
  engine_room?:
    | AccessWaysStrings.aftPortsideStair
    | AccessWaysStrings.aftStarboardStair
    | AccessWaysStrings.engineFunnel
    | AccessWaysStrings.midPortsideStair
    | AccessWaysStrings.midStarboardStair;
  starboard_gangway?:
    | AccessWaysStrings.midStarboardStair
    | AccessWaysStrings.notAccessible;
};

export type AccessWayKey = 
  | "aft_portside_stair"
  | "aft_starboard_stair"
  | "quayside_crane"
  | "fwd_portside_stair"
  | "fwd_starboard_stair"
  | "engine_funnel"
  | "mid_portside_stair"
  | "mid_starboard_stair"
  | "not_accessible";
